Add Managed Brand with LOA document for Branded Calling
POST/v2/managed-brand-with-loa
Add Managed Brand for Branded Calling and upload LOA document with it.
Body
requiredregisterRequestobjectrequired
brandContactobjectrequired
Phone number in E.164 format
Official phone number of the brand in E.164 format
brandAddressobjectrequired
Doing Business As
Duns & Bradstreet Number for the business
Business Identification Number
integer<int32>string<binary>Responses
- 201
- 400
- 401
- 403
- 404
- 409
- 500
- default
Created - new ManagedBrand has been registered and LOA document uploaded successfully.
Response Body
- Approved
- Disapproved
- Pending
- UnderReview
- AccountService
- BillingAndCollections
- Blended
- FundraisingOrRecruiting
- NotificationsOrScheduling
- Sales
- ServiceDelivery
- Survey
- Automotive
- Consulting
- Education
- Financial Services
- Food & Beverage
- Health & Medical
- Hotels & Travel
- Insurance
- Law Firms & Legal Services
- Non-Profit & Charitable Organizations
- Other
- Professional Services
- Real Estate
- Retail
- Technology
- Telecommunications
- LOA
- Old
managedBrandobjectrequired
string<uuid>statusobjectrequired
object
object
object
object
callPurposeobject
object
object
object
object
object
object
object
object
industryobject
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
brandContactobject
Phone number in E.164 format
brandAddressobject
integer<int32>approvalTypeobjectrequired
object
object
object
Example from Schema
{
"managedBrand": {
"companyId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"companyName": "string",
"brandName": "string",
"status": {},
"callPurpose": {},
"industry": {},
"brandContact": {
"name": "string",
"email": "string",
"phoneNumber": "string"
},
"accountContact": "string",
"brandAddress": {
"address": "string",
"country": "string",
"state": "string",
"city": "string",
"zipCode": "string"
},
"brandPhoneNumber": "string",
"website": "string",
"dba": "string",
"dunsNumber": "string",
"bin": "string",
"employeeCountEstimate": 0,
"approvalType": {},
"note": "string"
}
}
Bad Request - The request is malformed.
Response Body
Array [
]
integer<int32>errorsobject[]
Example from Schema
{
"id": "string",
"code": 0,
"errors": [
{
"message": "string"
}
]
}
Unauthorized - The API Key is invalid or missing.
Response Body
Array [
]
integer<int32>errorsobject[]
Example from Schema
{
"id": "string",
"code": 0,
"errors": [
{
"message": "string"
}
]
}
Forbidden - Not permitted to use the API endpoint.
Response Body
Array [
]
integer<int32>errorsobject[]
Example from Schema
{
"id": "string",
"code": 0,
"errors": [
{
"message": "string"
}
]
}
Not found - The entity does not exists.
Response Body
Array [
]
integer<int32>errorsobject[]
Example from Schema
{
"id": "string",
"code": 0,
"errors": [
{
"message": "string"
}
]
}
Conflict - The request conflicts with other request.
Response Body
Array [
]
integer<int32>errorsobject[]
Example from Schema
{
"id": "string",
"code": 0,
"errors": [
{
"message": "string"
}
]
}
Internal Server Error - The server has experienced an unexpected condition and is unable to process the request.
Response Body
Array [
]
errorsobject[]
Example from Schema
{
"id": "string",
"code": 0,
"errors": [
{
"message": "string"
}
]
}
Response Body
Array [
]
integer<int32>errorsobject[]
Example from Schema
{
"id": "string",
"code": 0,
"errors": [
{
"message": "string"
}
]
}